| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csShaderExpression Class Reference

An evaluable expression attached to a shader variable. More...

`#include <csgfx/shaderexp.h>`

List of all members.

## Public Types
typedef csArray< oper_arg > | arg_array
typedef csArray< oper > | oper_array
## Public Member Functions
const char * | GetError () const
| Retrieve the error message if the evaluation or parsing failed.
bool | Parse (iDocumentNode *)
| Parse in the XML in the context of a symbol table.
bool | Evaluate (csShaderVariable *, csShaderVarStack &stacks)
| Evaluate this expression into a variable.
## Classes
struct | oper
struct | oper_arg

## Detailed Description

An evaluable expression attached to a shader variable.

Definition at line 44 of file shaderexp.h.

## Member Function Documentation

bool csShaderExpression::Evaluate | ( | csShaderVariable * | ,
|  | csShaderVarStack & | stacks |
| ) |  |  |

Evaluate this expression into a variable.

It will use the symbol table it was initialized with.

const char* csShaderExpression::GetError | ( |  | ) | const`[inline]`

Retrieve the error message if the evaluation or parsing failed.

Definition at line 235 of file shaderexp.h.

bool csShaderExpression::Parse | ( | iDocumentNode * |  | ) |

Parse in the XML in the context of a symbol table.

The documentation for this class was generated from the following file:

- csgfx/shaderexp.h